// Copyright 2017 Polymorph. All Rights Reserved.

#include "DinkeyPlugin.h"
#include "Dinkey.h"

#define LOCTEXT_NAMESPACE "FDinkeyPluginModule"

void FDinkeyPluginModule::StartupModule()
{
	// This code will execute after your module is loaded into memory; the exact timing is specified in the .uplugin file per-module

	UDinkey::Initialize();
}

void FDinkeyPluginModule::ShutdownModule()
{
	// This function may be called during shutdown to clean up your module.  For modules that support dynamic reloading,
	// we call this function before unloading the module.

	UDinkey::Finalize();
}

#undef LOCTEXT_NAMESPACE
	
IMPLEMENT_MODULE(FDinkeyPluginModule, DinkeyPlugin)